Index: trunk/tools/FlairGCS/src/Scrollbar.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Scrollbar.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Scrollbar.cpp	(revision 15)
@@ -7,167 +7,137 @@
 #include "Scrollbar.h"
 
-ScrollBar::ScrollBar(QWidget * parent):
-    QScrollBar(parent)
-{
-    init();
+ScrollBar::ScrollBar(QWidget *parent) : QScrollBar(parent) { init(); }
+
+ScrollBar::ScrollBar(Qt::Orientation o, QWidget *parent)
+    : QScrollBar(o, parent) {
+  init();
 }
 
-ScrollBar::ScrollBar(Qt::Orientation o,
-        QWidget *parent):
-    QScrollBar(o, parent)
-{
-    init();
+ScrollBar::ScrollBar(float minBase, float maxBase, Qt::Orientation o,
+                     QWidget *parent)
+    : QScrollBar(o, parent) {
+  init();
+  setBase(minBase, maxBase);
+  moveSlider(minBase, maxBase);
 }
 
-ScrollBar::ScrollBar(float minBase, float maxBase,
-        Qt::Orientation o, QWidget *parent):
-    QScrollBar(o, parent)
-{
-    init();
-    setBase(minBase, maxBase);
-    moveSlider(minBase, maxBase);
+void ScrollBar::init(void) {
+  d_inverted = orientation() == Qt::Vertical;
+  d_baseTicks = 1000000;
+  d_minBase = 0.0;
+  d_maxBase = 1.0;
+  moveSlider(d_minBase, d_maxBase);
+
+  connect(this, SIGNAL(sliderMoved(int)), SLOT(catchSliderMoved(int)));
+  connect(this, SIGNAL(valueChanged(int)), SLOT(catchValueChanged(int)));
 }
 
-void ScrollBar::init(void)
-{
-    d_inverted = orientation() == Qt::Vertical;
-    d_baseTicks = 1000000;
-    d_minBase = 0.0;
-    d_maxBase = 1.0;
-    moveSlider(d_minBase, d_maxBase);
-
-    connect(this, SIGNAL(sliderMoved(int)), SLOT(catchSliderMoved(int)));
-    connect(this, SIGNAL(valueChanged(int)), SLOT(catchValueChanged(int)));
+void ScrollBar::setInverted(bool inverted) {
+  if (d_inverted != inverted) {
+    d_inverted = inverted;
+    moveSlider(minSliderValue(), maxSliderValue());
+  }
 }
 
-void ScrollBar::setInverted(bool inverted)
-{
-    if ( d_inverted != inverted )
-    {
-        d_inverted = inverted;
-        moveSlider(minSliderValue(), maxSliderValue());
-    }
+bool ScrollBar::isInverted(void) const { return d_inverted; }
+
+void ScrollBar::setBase(float min, float max) {
+  if (min != d_minBase || max != d_maxBase) {
+    d_minBase = min;
+    d_maxBase = max;
+
+    moveSlider(minSliderValue(), maxSliderValue());
+  }
 }
 
-bool ScrollBar::isInverted(void) const
-{
-    return d_inverted;
+void ScrollBar::moveSlider(float min, float max) {
+  const int sliderTicks =
+      qRound((max - min) / (d_maxBase - d_minBase) * d_baseTicks);
+
+  // setRange initiates a valueChanged of the scrollbars
+  // in some situations. So we block
+  // and unblock the signals.
+
+  blockSignals(true);
+
+  setRange(sliderTicks / 2, d_baseTicks - sliderTicks / 2);
+  int steps = sliderTicks / 200;
+  if (steps <= 0)
+    steps = 1;
+
+  setSingleStep(steps);
+  setPageStep(sliderTicks);
+
+  int tick = mapToTick(min + (max - min) / 2);
+  if (isInverted())
+    tick = d_baseTicks - tick;
+
+  setSliderPosition(tick);
+  blockSignals(false);
 }
 
-void ScrollBar::setBase(float min, float max)
-{
-    if ( min != d_minBase || max != d_maxBase )
-    {
-        d_minBase = min;
-        d_maxBase = max;
+float ScrollBar::minBaseValue(void) const { return d_minBase; }
 
-        moveSlider(minSliderValue(), maxSliderValue());
-    }
+float ScrollBar::maxBaseValue(void) const { return d_maxBase; }
+
+void ScrollBar::sliderRange(int value, float &min, float &max) const {
+  if (isInverted())
+    value = d_baseTicks - value;
+
+  const int visibleTicks = pageStep();
+
+  min = mapFromTick(value - visibleTicks / 2);
+  max = mapFromTick(value + visibleTicks / 2);
 }
 
-void ScrollBar::moveSlider(float min, float max)
-{
-    const int sliderTicks = qRound((max - min) /
-        (d_maxBase - d_minBase) * d_baseTicks);
+float ScrollBar::minSliderValue(void) const {
+  float min, dummy;
+  sliderRange(value(), min, dummy);
 
-    // setRange initiates a valueChanged of the scrollbars
-    // in some situations. So we block
-    // and unblock the signals.
-
-    blockSignals(true);
-
-    setRange(sliderTicks / 2, d_baseTicks - sliderTicks / 2);
-    int steps = sliderTicks / 200;
-    if ( steps <= 0 )
-        steps = 1;
-
-    setSingleStep(steps);
-    setPageStep(sliderTicks);
-
-    int tick = mapToTick(min + (max - min) / 2);
-    if ( isInverted() )
-        tick = d_baseTicks - tick;
-
-    setSliderPosition(tick);
-    blockSignals(false);
+  return min;
 }
 
-float ScrollBar::minBaseValue(void) const
-{
-    return d_minBase;
+float ScrollBar::maxSliderValue(void) const {
+  float max, dummy;
+  sliderRange(value(), dummy, max);
+
+  return max;
 }
 
-float ScrollBar::maxBaseValue(void) const
-{
-    return d_maxBase;
+int ScrollBar::mapToTick(float v) const {
+  return (int)((v - d_minBase) / (d_maxBase - d_minBase) * d_baseTicks);
 }
 
-void ScrollBar::sliderRange(int value, float &min, float &max) const
-{
-    if ( isInverted() )
-        value = d_baseTicks - value;
-
-    const int visibleTicks = pageStep();
-
-    min = mapFromTick(value - visibleTicks / 2);
-    max = mapFromTick(value + visibleTicks / 2);
+float ScrollBar::mapFromTick(int tick) const {
+  return d_minBase + (d_maxBase - d_minBase) * tick / d_baseTicks;
 }
 
-float ScrollBar::minSliderValue(void) const
-{
-    float min, dummy;
-    sliderRange(value(), min, dummy);
-
-    return min;
+void ScrollBar::catchValueChanged(int value) {
+  float min, max;
+  sliderRange(value, min, max);
+  Q_EMIT valueChanged(orientation(), min, max);
 }
 
-float ScrollBar::maxSliderValue(void) const
-{
-    float max, dummy;
-    sliderRange(value(), dummy, max);
-
-    return max;
+void ScrollBar::catchSliderMoved(int value) {
+  float min, max;
+  sliderRange(value, min, max);
+  Q_EMIT sliderMoved(orientation(), min, max);
 }
 
-int ScrollBar::mapToTick(float v) const
-{
-    return (int) ( ( v - d_minBase) / (d_maxBase - d_minBase ) * d_baseTicks );
+int ScrollBar::extent(void) const {
+  QStyleOptionSlider opt;
+  opt.init(this);
+  opt.subControls = QStyle::SC_None;
+  opt.activeSubControls = QStyle::SC_None;
+  opt.orientation = orientation();
+  opt.minimum = minimum();
+  opt.maximum = maximum();
+  opt.sliderPosition = sliderPosition();
+  opt.sliderValue = value();
+  opt.singleStep = singleStep();
+  opt.pageStep = pageStep();
+  opt.upsideDown = invertedAppearance();
+  if (orientation() == Qt::Horizontal)
+    opt.state |= QStyle::State_Horizontal;
+  return style()->pixelMetric(QStyle::PM_ScrollBarExtent, &opt, this);
 }
-
-float ScrollBar::mapFromTick(int tick) const
-{
-    return d_minBase + ( d_maxBase - d_minBase ) * tick / d_baseTicks;
-}
-
-void ScrollBar::catchValueChanged(int value)
-{
-    float min, max;
-    sliderRange(value, min, max);
-    Q_EMIT valueChanged(orientation(), min, max);
-}
-
-void ScrollBar::catchSliderMoved(int value)
-{
-    float min, max;
-    sliderRange(value, min, max);
-    Q_EMIT sliderMoved(orientation(), min, max);
-}
-
-int ScrollBar::extent(void) const
-{
-    QStyleOptionSlider opt;
-    opt.init(this);
-    opt.subControls = QStyle::SC_None;
-    opt.activeSubControls = QStyle::SC_None;
-    opt.orientation = orientation();
-    opt.minimum = minimum();
-    opt.maximum = maximum();
-    opt.sliderPosition = sliderPosition();
-    opt.sliderValue = value();
-    opt.singleStep = singleStep();
-    opt.pageStep = pageStep();
-    opt.upsideDown = invertedAppearance();
-    if (orientation() == Qt::Horizontal)
-        opt.state |= QStyle::State_Horizontal;
-    return style()->pixelMetric(QStyle::PM_ScrollBarExtent, &opt, this);
-}
Index: trunk/tools/FlairGCS/src/Scrollbar.h
===================================================================
--- trunk/tools/FlairGCS/src/Scrollbar.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Scrollbar.h	(revision 15)
@@ -8,49 +8,48 @@
 #include <qscrollbar.h>
 
-class ScrollBar: public QScrollBar
-{
-    Q_OBJECT
+class ScrollBar : public QScrollBar {
+  Q_OBJECT
 
 public:
-    ScrollBar(QWidget *parent = NULL);
-    ScrollBar(Qt::Orientation, QWidget *parent = NULL);
-    ScrollBar(float minBase, float maxBase,
-        Qt::Orientation o, QWidget *parent = NULL);
+  ScrollBar(QWidget *parent = NULL);
+  ScrollBar(Qt::Orientation, QWidget *parent = NULL);
+  ScrollBar(float minBase, float maxBase, Qt::Orientation o,
+            QWidget *parent = NULL);
 
-    void setInverted(bool);
-    bool isInverted(void) const;
+  void setInverted(bool);
+  bool isInverted(void) const;
 
-    float minBaseValue(void) const;
-    float maxBaseValue(void) const;
+  float minBaseValue(void) const;
+  float maxBaseValue(void) const;
 
-    float minSliderValue(void) const;
-    float maxSliderValue(void) const;
+  float minSliderValue(void) const;
+  float maxSliderValue(void) const;
 
-    int extent(void) const;
+  int extent(void) const;
 
 Q_SIGNALS:
-    void sliderMoved(Qt::Orientation, float, float);
-    void valueChanged(Qt::Orientation, float, float);
+  void sliderMoved(Qt::Orientation, float, float);
+  void valueChanged(Qt::Orientation, float, float);
 
 public Q_SLOTS:
-    virtual void setBase(float min, float max);
-    virtual void moveSlider(float min, float max);
+  virtual void setBase(float min, float max);
+  virtual void moveSlider(float min, float max);
 
 protected:
-    void sliderRange(int value, float &min, float &max) const;
-    int mapToTick(float) const;
-    float mapFromTick(int) const;
+  void sliderRange(int value, float &min, float &max) const;
+  int mapToTick(float) const;
+  float mapFromTick(int) const;
 
 private Q_SLOTS:
-    void catchValueChanged(int value);
-    void catchSliderMoved(int value);
+  void catchValueChanged(int value);
+  void catchSliderMoved(int value);
 
 private:
-    void init(void);
+  void init(void);
 
-    bool d_inverted;
-    float d_minBase;
-    float d_maxBase;
-    int d_baseTicks;
+  bool d_inverted;
+  float d_minBase;
+  float d_maxBase;
+  int d_baseTicks;
 };
 
Index: trunk/tools/FlairGCS/src/SpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/SpinBox.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/SpinBox.cpp	(revision 15)
@@ -8,66 +8,47 @@
 #include <QSpinBox>
 
-SpinBox::SpinBox(Layout* parent,int row, int col,QString name,QString suffix,int value,int min,int max,int step): FormLayout(parent,row,col,name,"SpinBox")
-{
-    spinbox = new QSpinBox();
+SpinBox::SpinBox(Layout *parent, int row, int col, QString name, QString suffix,
+                 int value, int min, int max, int step)
+    : FormLayout(parent, row, col, name, "SpinBox") {
+  spinbox = new QSpinBox();
 
-    spinbox->setRange(min,max);
-    spinbox->setSingleStep(step);
-    spinbox->setValue(value);
-    spinbox->setSuffix(suffix);
-    spinbox_value=value;
+  spinbox->setRange(min, max);
+  spinbox->setSingleStep(step);
+  spinbox->setValue(value);
+  spinbox->setSuffix(suffix);
+  spinbox_value = value;
 
-    object_layout->addRow(name,spinbox);
+  object_layout->addRow(name, spinbox);
 
-    connect(spinbox,SIGNAL(valueChanged(int)),this, SLOT(valuechanged(int)));
+  connect(spinbox, SIGNAL(valueChanged(int)), this, SLOT(valuechanged(int)));
 
-    SetValue(QString::number(spinbox_value));
+  SetValue(QString::number(spinbox_value));
 }
 
-SpinBox::~SpinBox()
-{
-    delete spinbox;
+SpinBox::~SpinBox() { delete spinbox; }
+
+void SpinBox::SetUptodate(void) {
+  ui_to_var();
+  ui_to_xml();
+  visible_widget->setPalette(black_pal);
 }
 
-void SpinBox::SetUptodate(void)
-{
-    ui_to_var();
-    ui_to_xml();
-    visible_widget->setPalette(black_pal);
+void SpinBox::ui_to_var(void) { spinbox_value = spinbox->value(); }
 
+void SpinBox::ui_to_xml(void) { SetValue(QString::number(spinbox->value())); }
+
+void SpinBox::Reset(void) { spinbox->setValue(spinbox_value); }
+
+void SpinBox::LoadEvent(QDomElement dom) {
+  if (spinbox->isEnabled() == true) {
+    spinbox->setValue((dom.attribute("value")).toInt());
+  }
 }
 
-void SpinBox::ui_to_var(void)
-{
-    spinbox_value=spinbox->value();
+void SpinBox::valuechanged(int value) {
+  if (value != spinbox_value) {
+    visible_widget->setPalette(red_pal);
+  } else {
+    visible_widget->setPalette(black_pal);
+  }
 }
-
-void SpinBox::ui_to_xml(void)
-{
-    SetValue(QString::number(spinbox->value()));
-}
-
-void SpinBox::Reset(void)
-{
-    spinbox->setValue(spinbox_value);
-}
-
-void SpinBox::LoadEvent(QDomElement dom)
-{
-    if(spinbox->isEnabled()==true)
-    {
-        spinbox->setValue((dom.attribute("value")).toInt());
-    }
-}
-
-void SpinBox::valuechanged(int value)
-{
-    if(value!=spinbox_value)
-    {
-        visible_widget->setPalette(red_pal);
-    }
-    else
-    {
-        visible_widget->setPalette(black_pal);
-    }
-}
Index: trunk/tools/FlairGCS/src/SpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/SpinBox.h	(revision 14)
+++ trunk/tools/FlairGCS/src/SpinBox.h	(revision 15)
@@ -11,24 +11,24 @@
 class QSpinBox;
 
-class SpinBox: public FormLayout
-{
-    Q_OBJECT
+class SpinBox : public FormLayout {
+  Q_OBJECT
 
-    public:
-        SpinBox(Layout* parent,int row, int col,QString name,QString suffix,int value,int min,int max,int step);
-        ~SpinBox();
+public:
+  SpinBox(Layout *parent, int row, int col, QString name, QString suffix,
+          int value, int min, int max, int step);
+  ~SpinBox();
 
-    private:
-        QSpinBox* spinbox;
-        int spinbox_value;
-        void SetUptodate(void);
-        void Reset(void);
-        void LoadEvent(QDomElement dom);
+private:
+  QSpinBox *spinbox;
+  int spinbox_value;
+  void SetUptodate(void);
+  void Reset(void);
+  void LoadEvent(QDomElement dom);
 
-        void ui_to_var(void);
-        void ui_to_xml(void);
+  void ui_to_var(void);
+  void ui_to_xml(void);
 
-    private slots:
-        void valuechanged(int value);
+private slots:
+  void valuechanged(int value);
 };
 
Index: trunk/tools/FlairGCS/src/Tab.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Tab.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Tab.cpp	(revision 15)
@@ -7,16 +7,15 @@
 #include <QGridLayout>
 
-Tab::Tab(TabWidget* parent,QString name,int position): Layout(new QWidget(),parent,name,"Tab") {
-    parent_tab=parent;
-    onglet = getQGridLayout()->parentWidget();
-    onglet->setObjectName(name);
-    if(position==-1) {
-        parent->tab->addTab(onglet, name);
-    } else {
-        parent->tab->insertTab(position,onglet, name);
-    }
+Tab::Tab(TabWidget *parent, QString name, int position)
+    : Layout(new QWidget(), parent, name, "Tab") {
+  parent_tab = parent;
+  onglet = getQGridLayout()->parentWidget();
+  onglet->setObjectName(name);
+  if (position == -1) {
+    parent->tab->addTab(onglet, name);
+  } else {
+    parent->tab->insertTab(position, onglet, name);
+  }
 }
 
-Tab::~Tab() {
-    parent_tab->tab->removeTab(parent_tab->tab->indexOf(onglet));
-}
+Tab::~Tab() { parent_tab->tab->removeTab(parent_tab->tab->indexOf(onglet)); }
Index: trunk/tools/FlairGCS/src/Tab.h
===================================================================
--- trunk/tools/FlairGCS/src/Tab.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Tab.h	(revision 15)
@@ -10,15 +10,13 @@
 class TabWidget;
 
-class Tab: public Layout
-{
+class Tab : public Layout {
 
-    public:
-        Tab(TabWidget* parent,QString name,int position);
-        ~Tab();
+public:
+  Tab(TabWidget *parent, QString name, int position);
+  ~Tab();
 
-    private:
-        TabWidget *parent_tab;
-        QWidget* onglet;
-
+private:
+  TabWidget *parent_tab;
+  QWidget *onglet;
 };
 
Index: trunk/tools/FlairGCS/src/TabWidget.cpp
===================================================================
--- trunk/tools/FlairGCS/src/TabWidget.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/TabWidget.cpp	(revision 15)
@@ -10,41 +10,37 @@
 //#include "qledindicator.h"
 
-TabWidget::TabWidget(Layout* parent,int row,int col,QString name,QTabWidget::TabPosition position):XmlWidget(name,"TabWidget",parent)
-{
-    tab=new QTabWidget();
-//tab->setTabShape(QTabWidget::Triangular);
-//tab->setDocumentMode(true);
-    parent->addWidget(tab,row,col);
-    tab->setTabPosition(position);
-    SetIsContainer(true);
-    SetIsExpandable(true);
-    visible_widget=tab;
+TabWidget::TabWidget(Layout *parent, int row, int col, QString name,
+                     QTabWidget::TabPosition position)
+    : XmlWidget(name, "TabWidget", parent) {
+  tab = new QTabWidget();
+  // tab->setTabShape(QTabWidget::Triangular);
+  // tab->setDocumentMode(true);
+  parent->addWidget(tab, row, col);
+  tab->setTabPosition(position);
+  SetIsContainer(true);
+  SetIsExpandable(true);
+  visible_widget = tab;
 
-    //QLedIndicator* led=new QLedIndicator(tab);
-    //tab->setCornerWidget(led,Qt::TopLeftCorner);
+  // QLedIndicator* led=new QLedIndicator(tab);
+  // tab->setCornerWidget(led,Qt::TopLeftCorner);
 }
 
-TabWidget::~TabWidget()
-{
+TabWidget::~TabWidget() {}
+
+void TabWidget::XmlEvent(QDomElement dom) {
+  QString type = dom.tagName();
+  QString name = dom.attribute("name");
+  int position = dom.attribute("position").toInt();
+
+  if (type == "Tab") {
+    Tab *layout = new Tab(this, name, position);
+  }
 }
 
-void TabWidget::XmlEvent(QDomElement dom)
-{
-    QString type=dom.tagName();
-    QString name=dom.attribute("name");
-    int position=dom.attribute("position").toInt();
-
-    if(type=="Tab")
-    {
-        Tab* layout = new Tab(this,name,position);
-    }
+bool TabWidget::IsUptodate(void) {
+  for (int i = 0; i < childs->count(); i++) {
+    if (childs->at(i)->IsUptodate() == false)
+      return false;
+  }
+  return true;
 }
-
-bool TabWidget::IsUptodate(void)
-{
-    for(int i=0;i<childs->count();i++)
-    {
-        if(childs->at(i)->IsUptodate()==false) return false;
-    }
-    return true;
-}
Index: trunk/tools/FlairGCS/src/TabWidget.h
===================================================================
--- trunk/tools/FlairGCS/src/TabWidget.h	(revision 14)
+++ trunk/tools/FlairGCS/src/TabWidget.h	(revision 15)
@@ -11,18 +11,16 @@
 class Layout;
 
-class TabWidget: public XmlWidget
-{
-    friend class Tab;
+class TabWidget : public XmlWidget {
+  friend class Tab;
 
-    public:
-        TabWidget(Layout* parent,int row,int col,QString name,QTabWidget::TabPosition position);
-        ~TabWidget();
-        bool IsUptodate(void);
+public:
+  TabWidget(Layout *parent, int row, int col, QString name,
+            QTabWidget::TabPosition position);
+  ~TabWidget();
+  bool IsUptodate(void);
 
-    private:
-        QTabWidget* tab;
-        void XmlEvent(QDomElement dom);
-
-
+private:
+  QTabWidget *tab;
+  void XmlEvent(QDomElement dom);
 };
 
Index: trunk/tools/FlairGCS/src/TextEdit.cpp
===================================================================
--- trunk/tools/FlairGCS/src/TextEdit.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/TextEdit.cpp	(revision 15)
@@ -9,29 +9,25 @@
 #include <QTextEdit>
 
-TextEdit::TextEdit(Layout* parent,int row, int col,QString name):XmlWidget(name,"TextEdit",parent)
-{
+TextEdit::TextEdit(Layout *parent, int row, int col, QString name)
+    : XmlWidget(name, "TextEdit", parent) {
 
-    visible_widget = new QWidget();
-    visible_widget->setObjectName(name);
+  visible_widget = new QWidget();
+  visible_widget->setObjectName(name);
 
-    layout = new QGridLayout(visible_widget);
-    clear= new QPushButton("Effacer");
-    text=new QTextEdit();
+  layout = new QGridLayout(visible_widget);
+  clear = new QPushButton("Effacer");
+  text = new QTextEdit();
 
-    layout->addWidget(text,0,0);
-    layout->addWidget(clear,1,0);
+  layout->addWidget(text, 0, 0);
+  layout->addWidget(clear, 1, 0);
 
-    connect(clear, SIGNAL(clicked(bool)),text, SLOT(clear()));
+  connect(clear, SIGNAL(clicked(bool)), text, SLOT(clear()));
 
-    parent->addWidget(visible_widget,row,col);
+  parent->addWidget(visible_widget, row, col);
 }
 
-TextEdit::~TextEdit()
-{
+TextEdit::~TextEdit() {}
 
+void TextEdit::XmlEvent(QDomElement dom) {
+  text->append(dom.attribute("value"));
 }
-
-void TextEdit::XmlEvent(QDomElement dom)
-{
-    text->append(dom.attribute("value"));
-}
Index: trunk/tools/FlairGCS/src/TextEdit.h
===================================================================
--- trunk/tools/FlairGCS/src/TextEdit.h	(revision 14)
+++ trunk/tools/FlairGCS/src/TextEdit.h	(revision 15)
@@ -13,15 +13,14 @@
 class Layout;
 
-class TextEdit: public XmlWidget
-{
-    public:
-        TextEdit(Layout* parent,int row, int col,QString name);
-        ~TextEdit();
+class TextEdit : public XmlWidget {
+public:
+  TextEdit(Layout *parent, int row, int col, QString name);
+  ~TextEdit();
 
-    private:
-        QGridLayout *layout;
-        QPushButton *clear;
-        QTextEdit *text;
-        void XmlEvent(QDomElement dom);
+private:
+  QGridLayout *layout;
+  QPushButton *clear;
+  QTextEdit *text;
+  void XmlEvent(QDomElement dom);
 };
 
